<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/editcomments/class/view/admineditcommentview.class.php" );

	/**
	 * actions that displays the list of comments in the blog.
	 */
	class AdminEditCommentAction extends AdminAction{
	
		function AdminEditCommentAction( $actionInfo, $request ){
			$this->AdminAction( $actionInfo, $request );
		}
		
		function perform(){
            $commentId = $this->_request->getValue("commentId");

            $this->_view = new AdminEditCommentView($this->_blogInfo, $commentId);

			$this->setCommonData();
			
			return true;
		}
	}
?>